%define oname stestr

Name: python-module-%oname
Version: 2.1.0
Release: alt1
Summary: stestr is parallel Python test runner
Group: Development/Python
License: ASL 2.0
Url: http://stestr.readthedocs.io/en/latest
Source: %oname-%version.tar.gz
BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-pbr >= 2.0.0
BuildRequires: python-module-six >= 1.10.0
BuildRequires: python-module-future
BuildRequires: python-module-cliff >= 2.8.0
BuildRequires: python-module-subunit >= 1.2.0
BuildRequires: python-module-fixtures >= 3.0.0
BuildRequires: python-module-testtools >= 1.8.0
BuildRequires: python-module-yaml >= 3.10.0
BuildRequires: python-module-voluptuous >= 0.8.9

BuildRequires: python-module-sphinx >= 1.5.1
BuildRequires: python-module-subunit2sql >= 1.8.0

# Test Requirements
BuildRequires: python-module-mock
BuildRequires: python-module-yaml
BuildRequires: python-module-ddt

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr >= 2.0.0
BuildRequires: python3-module-six >= 1.10.0
BuildRequires: python3-module-future
BuildRequires: python3-module-cliff >= 2.8.0
BuildRequires: python3-module-subunit >= 1.2.0
BuildRequires: python3-module-fixtures >= 3.0.0
BuildRequires: python3-module-testtools >= 1.8.0
BuildRequires: python3-module-yaml >= 3.10.0
BuildRequires: python3-module-voluptuous >= 0.8.9

BuildRequires: python3-module-sphinx >= 1.5.1
BuildRequires: python3-module-subunit2sql >= 1.8.0

# Test Requirements
BuildRequires: python3-module-mock
BuildRequires: python3-module-SQLAlchemy
BuildRequires: python3-module-testtools
BuildRequires: python3-module-yaml
BuildRequires: python3-module-ddt

%description
stestr is parallel Python test runner designed to execute unittest test suites
using multiple processes to split up execution of a test suite.
It also will store a history of all test runs to help in debugging failures
and optimizing the scheduler to improve speed. To accomplish this goal
it uses the subunit protocol to facilitate streaming and storing results from multiple workers.

stestr originally started as a fork of the testrepository project.
But, instead of being an interface for any test runner that used subunit,
like testrepository, stestr concentrated on being a dedicated test runner for python projects.
While stestr was originally forked from testrepository it is not backwards compatible with testrepository.
At a high level the basic concepts of operation are shared between the two projects but the actual usage is not exactly the same.

%package tests
Summary: Tests for %oname
Group: Development/Python
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%package -n python3-module-%oname
Summary: stestr is parallel Python test runner 
Group: Development/Python3

%description -n python3-module-%oname
stestr is parallel Python test runner designed to execute unittest test suites
using multiple processes to split up execution of a test suite.
It also will store a history of all test runs to help in debugging failures
and optimizing the scheduler to improve speed. To accomplish this goal
it uses the subunit protocol to facilitate streaming and storing results from multiple workers.

stestr originally started as a fork of the testrepository project.
But, instead of being an interface for any test runner that used subunit,
like testrepository, stestr concentrated on being a dedicated test runner for python projects.
While stestr was originally forked from testrepository it is not backwards compatible with testrepository.
At a high level the basic concepts of operation are shared between the two projects but the actual usage is not exactly the same.

%package -n python3-module-%oname-tests
Summary: Tests for %oname
Group: Development/Python3
Requires: python3-module-%oname = %EVR

%description -n python3-module-%oname-tests
This package contains tests for %oname.

%package doc
Summary: Documentation for stestr
Group: Development/Documentation

%description doc
Documentation for stestr.

%prep
%setup -n %oname-%version

# Remove bundled egg-info
rm -rf %oname.egg-info

rm -f test-requirements.txt requirements.txt

rm -rf ../python3
cp -a . ../python3

%build
%python_build

pushd ../python3
%python3_build
popd

# generate html docs
python setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
pushd ../python3
%python3_install
mv %buildroot%_bindir/%oname %buildroot%_bindir/%oname.py3
popd

%python_install

%check
export PATH=%buildroot/%_bindir:$PATH
# currently, 3 test are failing
%__python setup.py test
#pushd ../python3
#rm -fr .stestr
# subunit2sql is not available, so 3 test are failing here as well
#%%__python3 setup.py test
#popd

%files
%doc AUTHORS ChangeLog LICENSE PKG-INFO README.rst
%_bindir/%oname
%python_sitelibdir/*
%exclude %python_sitelibdir/*/tests

%files tests
%python_sitelibdir/*/tests

%files -n python3-module-%oname
%_bindir/%oname.py3
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/tests

%files doc
%doc doc/build/html LICENSE

%changelog
* Mon Mar 04 2019 Lenar Shakirov <snejok@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Dec 11 2018 Alexey Shabalin <shaba@altlinux.org> 2.2.0-alt1
- Initial release
